Summary:	An X Window System color version of xhextris
Summary(de.UTF-8):	Farbige X11-Version von Hextris
Summary(fr.UTF-8):	Version X11 en couleurs d'hextris
Summary(pl.UTF-8):	Kolorowa wersja gry xhextris pod X Window
Summary(ru.UTF-8):	Цветная версия hextris для X11
Summary(tr.UTF-8):	Düşen blokları yerleştirme oyunu
Summary(uk.UTF-8):	Кольорова версія hextris для X11
Name:		cxhextris
Version:	1.0
Release:	29
License:	distributable
Group:		X11/Applications/Games
Source0:	ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris/%{name}.tar.z
# Source0-md5:	64fce30ebb859bcce0ff4f91f4ece0a8
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-config.patch
Patch1:		%{name}-axp.patch
Patch2:		%{name}-security.patch
BuildRequires:	xorg-cf-files
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-util-imake
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CXHextris is a color version of the popular xhextris game, which is a
Tetris-like game that uses hexagon shapes instead of square shapes.
CXHextris runs within the X Window System.

Install cxhextris if you enjoy playing Tetris or Tetris-like games and
you'd like to play one on your system. You'll need to have X installed
in order to play CXHextris.

%description -l de.UTF-8
cxhextrix ist eine Farbversion des populären hextris, beides nahe
Verwandte des klassischen T*tris Video-Games, bei dem unregelmäßig
geformte Blöcke perfekt aufeinander gestapelt werden müssen.
Voraussetzung ist, daß X-Window korrekt funktioniert.

%description -l fr.UTF-8
cxhextrix est une version en couleurs du célèbre hextris. Tous deux
sont des clones du célèbre jeu vidéo T*tris, où l'on doit essayer
d'empiler parfaitement des blocs avec des formes curieuses. Ce jeu
nécessite X Window pour fonctionner correctement.

%description -l pl.UTF-8
CXHextris jest kolorową wersją popularnej gry xhextris, będącej klonem
Tetrisa używającym sześciobocznych figur zamiast kwadratowych.
CXHextris uruchamia się w środowisku X Window.

Należy zainstalować CXHextris jeśli lubi się gry w rodzaju Tetris. Aby
móc grać w CXHextris należy mieć zainstalowane X Window.

%description -l ru.UTF-8
CXHextris - это цветная версия популярной игры xhextris, которая
является Tetris-подобной игрой, использующей шестиугольники вместо
квадратов. Эта игра требует для своей работы X Window.

%description -l tr.UTF-8
cxhextrix, hextris'in renkli sürümüdür. Her ikisi de, garip şekilli
blokların - arada boşluk bırakılmadan - bir yığın haline getirilmeye
çalışıldığı Tetris oyununa benzer.

%description -l uk.UTF-8
CXHextris - це кольорова версія популярної гри xhextris, яка подібна
до Tetris, але використовує шестикутники замість квадратів. Ця гра
потребує X Window.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
xmkmf
%{__make} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	FONTDIR=%{_fontsdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/usr/share/fonts/misc,%{_desktopdir},%{_pixmapsdir}}

%{__make} install install.man \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}/man1 \
	DESTDIR=$RPM_BUILD_ROOT

install hex20.pcf $RPM_BUILD_ROOT%{_fontsdir}/misc

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst misc

%postun
fontpostinst misc

%files
%defattr(644,root,root,755)
%doc README README.Linux
%attr(2755,root,games) %{_bindir}/xhextris
%{_fontsdir}/misc/hex20.pcf
%attr(664,root,games) %config(noreplace) %verify(not md5 mtime size) /var/games/xhextris-scores
%{_mandir}/man1/xhextris.1*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%changelog
* Sat Oct 06 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cxhextris.git;a=log;h=master

* Sat Oct 06 2012 Elan Ruusamäe <glen@delfi.ee> 16b8d34
- release 29 (by relup.sh)

* Mon Jun 20 2011 Kacper Kornet <draenog@pld-linux.org> 7c77dc0
- move binary sources to distfiles

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f1df1b6
- dropped pre-cvs changelog

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> b56420d
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ded3662
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e4f1a10
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 72cb7bb
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Thu Oct 19 2006 Jakub Bogusz <qboosh@pld-linux.org> aaeafbf
- switched to modular xorg, release 28

* Sat Jan 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 541142b
- kill Icon: field (support for these is obsolete says jbj)

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> adb9487
- adapterized (sorted %verify flags)

* Wed Jun 01 2005 zbyniu <zbyniu@pld-linux.org> 01b221e
- removed stupid BR: XFree; better font install

* Wed Jun 01 2005 zbyniu <zbyniu@pld-linux.org> c0a5bd9
- BR: XFree86

* Sun Jul 04 2004 havner <havner@pld-linux.org> a2af7e7
- applnk -> vfolders

* Mon Mar 08 2004 Tomasz Pala <gotar@pld-linux.org> 7ace527
- _applnkdir -> _desktopdir

* Mon Mar 08 2004 Tomasz Pala <gotar@pld-linux.org> edec95e
- added Categories field

* Sun Jan 18 2004 Jakub Bogusz <qboosh@pld-linux.org> fd30cd9
- fixed build

* Tue Nov 25 2003 averne <averne@pld-linux.org> ef16df1
- r26

* Sun Nov 23 2003 Tomasz Pala <gotar@pld-linux.org> 5487c3f
- s/^Terminal=0/Terminal=false/ s/^Terminal=1/Terminal=true/ to conform
  freedesktop.org desktop-entry specification

* Sun Nov 23 2003 Tomasz Pala <gotar@pld-linux.org> eebc826
- added Encoding=UTF-8 (field required by freedesktop.org desktop-entry specification)

* Sat Aug 02 2003 Tomasz Pala <gotar@pld-linux.org> b2a15f9
- fixed X Window System spelling

